/*
 * configuration file for cc; easily re-configurable stuff goes here.
 * March 1989, Miles Bader
 *
 * Modified 1/29/91 by The Starbound Software Group, Dave Lowrey - programmer. 
 *	Modified to work with SAS/C as well as Lattice/C
 */

/*
 * this file contains declarations, so it can only be included in one source file
 */

#define MAXPATH 200		/* max length of a path */

/* What to call executable if not specified.  If NULL, named after 1st source file */
#define DEFAULT_EXEC "a.out"
 
/* must be a prefix; i.e., needs a slash or a colon on the end */
#define TEMPDIR	"T:"		/* Keep intermediate files in temp directory */
/* #define TEMPDIR "" */	/* Keep intermediate files in current dir */

/* The file for filtering compiler pass output.  If NULL, no filtering is done */
#define SINKFILE "T:__cc_sink"

#define DEFAULT_DEBUGLEVEL 3	/* default debug level if just -g is given */

/* Listf of default options.  Note that not having _EXEC, _COMPILE, _ASSEMBLE,
 * and _LINK set by default would be very wierd
 */
int defaultOptions[]={
    OPT_COMPILE,	/* compile things! */
    OPT_ASSEMBLE,	/* make object files! */
    OPT_EXEC,		/* execute passes! */
    OPT_LINK,		/* link into executable! */
    OPT_FILTER,		/* filter out obnoxious messages */
    OPT_STACKCHECK,	/* enable stack checking */
    0
};

/* initial contents of some lists; &insertMark is where additional elements go */
char *libDirsInit[]={"",&insertMark,"lib:",NULL};
char *incDirsInit[]={&insertMark,"include:",NULL};
char **binDirsInit=NULL;
char **definesInit=NULL;
char **undefinesInit=NULL;
char *libsInit[]={&insertMark,"lc","amiga",NULL};

/* prefixes that are filtered out of the compiler output stream */
char *filteredPrefixes[]={
    "\n",			/* blank lines */
    "Copyright",		/* copyright noticed */
    "Lattice",			/* lattice advertisements */
    "SAS",				/* SAS advertisements */       /* DWL */

    /* lc2 */
    "Module size",

    /* blink */
    "Blink - Version",
    "Enter a DEFINE value", 	/* input is impossible anyway... */
    "BLINK Complete",
    "Final output file size",
    NULL
};
